{% extends "layout.html" %}
{% block content %}
    <table class="table table-bordered table-dark table-sm">
        <tr align="center">
      {% for header_n in b[0] %}
          <th> &emsp; {{ header_n }} &emsp;</th>
      {% endfor %}
        </tr>
      {% for z in b[1:] %}
        <tr align="center">
          {% for s in z %}
            {% if s=="r" %}
            <td><font color="red">@</font></td>
            {% elif s=="y" %}
            <td><font color="yellow">@</font></td>
            {% else %}
            <td>{{ s }}</td>
            {% endif %}
          {% endfor %}
        </tr>
      {% endfor %}
    </table>

    {% if pt==1 %}
    {% if p1[1]=="red" %}
    <div class="d-inline p-2 bg-dark"><font color="red">{{ p1[0] }}</font></div>
    {% else %}
    <div class="d-inline p-2 bg-dark"><font color="yellow">{{ p1[0] }}</font></div>
    {% endif %}
    {% else %}
    {% if p2[1]=="red" %}
    <div class="d-inline p-2 bg-dark"><font color="red">{{ p2[0] }}</font></div>
    {% else %}
    <div class="d-inline p-2 bg-dark"><font color="yellow">{{ p2[0] }}</font></div>
    {% endif %}
    {% endif %}
    <form action="/" method="post">
      <input type="hidden" name="pt" value="{{ pt }}">
      <input type="hidden" name="p1n" value="{{ p1[0] }}">
      <input type="hidden" name="p1c" value="{{ p1[1] }}">
      <input type="hidden" name="p2n" value="{{ p2[0] }}">
      <input type="hidden" name="p2c" value="{{ p2[1] }}">
      <input type="hidden" name="transfer_b" value="{{ transfer_b }}">
      <div class="btn-group" role="group" aria-label="Basic example">
        <button type="submit" name="column" class="btn btn-secondary" value="1">1</button>
        <button type="submit" name="column" class="btn btn-secondary" value="2">2</button>
        <button type="submit" name="column" class="btn btn-secondary" value="3">3</button>
        <button type="submit" name="column" class="btn btn-secondary" value="4">4</button>
        <button type="submit" name="column" class="btn btn-secondary" value="5">5</button>
        <button type="submit" name="column" class="btn btn-secondary" value="6">6</button>
        <button type="submit" name="column" class="btn btn-secondary" value="7">7</button>
      </div>
    </form>
    <br>
    {% if error!=None %}
    <div class="alert alert-danger" role="alert">
      {{ error }}
    </div>
    <br>
    {% endif %}
{% endblock content %}
